<?php
/*
 * Pretty-print atom feeds in XHTML.  For example:
 *   include ('php/atom.xml');
 *   $s=simplexml_load_file('xml/atom.xml');
 *   printAtom("Announcements", $s, "Feed purpose");
 */

function printContent($xml_data){
    $xml_parser = xml_parser_create();
    xml_parse_into_struct($xml_parser, $xml_data, $vals, $index);
    xml_parser_free($xml_parser);
    //echo "Index array\n";
    //print_r($index);
    //echo "\nVals array\n";
    //print_r($vals);
    $content = $vals[1]["value"];
    echo "<p>\n$content\n</p>\n";
}

function printAtom($feed_title, $feed, $ignored_title){
  echo "<h3>$feed_title</h3><p></p>\n\n";
  
  /* convert entries to an array (from some sort of iterable) */
  $entries = array();
  foreach($feed->entry as $entry)
    $entries[] = $entry;
  
  /* print the entries */
  foreach(array_reverse($entries) as $entry) {
    $title=$entry->title;
    $link=$entry->link['href'];
    $tpub_string=$entry->published;
    $tpub=strtotime($tpub_string);
    $time=strftime("%r %A, %B %d, %Y", $tpub);
    if ($title == $ignored_title)
      continue;
    echo "<h5><a href=\"$link\">$title</a> $time</h5>\n";
    printContent($entry->content->asXML());
  }
}

?>
