<?php
/*
 * Pretty-print a list of course section documents (e.g. homework
 * assignments/solutions, lab prelabs/procedures/reports, ...) from
 * the contents of a source directory.  For example:
 *   include('php/section_docs.php');
 *   printSectionDocs('Recitation', 'doc/rec', 'rec', 20);
 */
function printSectionDocs($title, $directory, $startswith, $maxnum){
  $i = 1;
  for ($i=$maxnum; $i>=0; $i-=1) {
    $front = "$directory/$startswith".$i."_";
    $frontlen = strlen($front);
    $files = glob($front."*");
    $comment_file = $front.'comment'; // (X)HTML fragment commenting on doc.
    $num_readable = 0;
    foreach ($files as $file) {
      if (is_readable($file) && $file != $comment_file) {
	$num_readable += 1;
      }
    }
    if ($num_readable > 0 or is_readable($comment_file)) {
      echo "<a name=\"$i\"/>";
      echo "<h4>$title $i</h4>\n";
    }
    if (is_readable($comment_file)) {
      readfile($comment_file);
    }
    if ($num_readable > 0) {
      echo "<ul>\n";
      foreach ($files as $file) {
	if (!is_readable($file) or $file == $comment_file) {
	  continue;
	}
	$len = strlen($file);
	$url = $file;
	$name = substr($file, $frontlen, $len-$frontlen); // remove $front
	
	echo "  <li><a href=\"$url\">$name</a>$mode</li>\n";
      }
      echo "</ul>\n";
    }
  }
}
?>
