<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
<!--
usage: xsltproc graduate_xml_to_TAs_xml.xsl graduate.xml | xml_pp > TAs.xml

On Ubuntu, xsltproc is it's own package, and xml_pp is part of xml-twig-tools.
However, xsltproc does not currently (Mar 25, 2009) support xslt 2.0.
-->

<xsl:template match="/">
  <people>
    <xsl:for-each select="facultylisting/person">
    <person>
      <name>
        <xsl:value-of select="firstname"/>
        <xsl:text> </xsl:text>
        <xsl:value-of select="lastname"/>
      </name>

      <xsl:variable name="emailValue" select="email"/>
      <xsl:analyze-string select="$emailValue" regex="(\s*) [at] (\s*).edu">
        <xsl:matching-substring>
          <email>
            <xsl:value-of select="regex-group(1)"/>
            <xsl:text> at </xsl:text>
            <xsl:value-of select="regex-group(2)"/>
            <xsl:text> dot edu</xsl:text>
          </email>
        </xsl:matching-substring>
        <xsl:non-matching-substring>
          <email>
            <xsl:value-of select="$emailValue"/>
          </email>
        </xsl:non-matching-substring>        
      </xsl:analyze-string>
      
      <office><xsl:value-of select="office"/></office>
      <extension><xsl:value-of select="phone"/></extension>
      <url><xsl:value-of select="webpage"/></url>
    </person>
    </xsl:for-each>
  </people>
</xsl:template>

</xsl:stylesheet>
